# -*- coding: utf-8 -*-

from django.contrib import admin
from django_admin import ChangeOnlyModelAdmin, ReadOnlyModelAdmin

from guideline.models import ScreenAdminInfo


class ScreenAdminInfoAdmin(ChangeOnlyModelAdmin, admin.ModelAdmin):
    list_display = ('admin_id', 'unionid', 'openid', 'name', 'sex', 'nickname', 'phone', 'location', 'status', 'created_at', 'updated_at')
    readonly_fields = ('admin_id',)
    search_fields = ('admin_id', 'unionid', 'openid', 'name', 'phone', 'location')


admin.site.register(ScreenAdminInfo, ScreenAdminInfoAdmin)
